Questions sur l'installation et la configuration de Manjaro Linux.
Répondre

[FAILED] failed to start pkgfile database update ?

#1Messageil y a 4 semaines

Bonjour,

[FAILED] failed to start pkgfile database update
Lors de l'arrêt du PC je reçois parfois ce message en haut à gauche de l'écran sur fond noir ?
Traduction Google: [Echoué] n'a pas pu démarrer la mise à jour de la base de données pkgfile
J'ai trouvé cette réponse en anglais, mais Google ne me propose pas la traduction et je ne parle pas anglais.
J'ai souvent soit au démarrage ou à l'arrêt des lignes en haut à gauche, je n'y prête pas attention, mais là c'est en rouge.:snif
J'ai essayé ça.

Paquets (1) pkgfile-21-2

Taille totale du téléchargement :  0,02 MiB
Taille totale installée :        0,05 MiB
Taille de mise à jour nette :    0,00 MiB

:: Procéder à l’installation ? [O/n] 
:: Récupération des paquets…
 pkgfile-21-2-x86_64    24,8 KiB  4,04 MiB/s 00:00 [##################] 100%
(1/1) vérification des clés dans le trousseau      [##################] 100%
(1/1) vérification de l’intégrité des paquets      [##################] 100%
(1/1) chargement des fichiers des paquets          [##################] 100%
(1/1) analyse des conflits entre fichiers          [##################] 100%
(1/1) vérification de l’espace disque disponible   [##################] 100%
:: Traitement des changements du paquet…
(1/1) réinstallation pkgfile                       [##################] 100%
:: Exécution des crochets de post-transaction…
(1/2) Reloading system manager configuration...
(2/2) Arming ConditionNeedsUpdate...
[caille@caille-n76vb ~]$ sudo pkgfile-update -u
sudo: pkgfile-update : commande introuvable
[caille@caille-n76vb ~]$ sudo pkgfile --update -u
:: Updating 4 repos...
  download complete: multilib             [   259,6 KiB   228K/s  3 remaining]
  download complete: extra                [     9,4 MiB   454K/s  2 remaining]
  download complete: community            [    30,0 MiB   688K/s  1 remaining]
warning: download failed: https://www.uex.dk/public/manjaro/stable/core/x86_64/core.files: Failed to connect to www.uex.dk port 443: Connexion terminée par expiration du délai d'attente
:: download complete in 128,72s           <    39,7 MiB   316K/s  3 files    >
[caille@caille-n76vb ~]$ 
Au redémarrage suivant il est resté bloqué presque 5 minutes sur cette ligne en haut à gauche ?

manjaro_system: clean, 301076/3203072 filess,2738436/12000000 blocks
(manjaro_system) c'est l'étiquette de ma partition manjaro système séparée du /home).
Dernière modification par cailleil y a 4 semaines, modifié au total 1 fois.

[FAILED] failed to start pkgfile database update ?

#2Messageil y a 4 semaines

Sur mon PC, pas de pkgfile d'installé, donc tu as du installer le tien volontairement ou via l'install d'un autre soft. Regarde ce que donne :
pacman -Qi pkgfile
et en particulier la ligne "Requis par" et aussi la date d'install, ça te réveillera peut-être des souvenirs.

Edit : tu peux aussi regarder :
pactree -r pkgfile
ça te dira qui utilise ce soft
Dernière modification par Denis-pomil y a 4 semaines, modifié au total 3 fois.

[FAILED] failed to start pkgfile database update ?

#3Messageil y a 4 semaines

Denis-pom a écrit : il y a 4 semaines Sur mon PC, pas de pkgfile d'installé, donc tu as du installé le tien volontairement ou via l'install d'un autre soft. Regarde ce que donne :
pacman -Qi pkgfile
et en particulier la ligne "Requis par" et aussi la date d'install, ça te réveillera peut-être des souvenirs.
:bjr: Bonjour Denis,

Chez moi il semblait installé car lors de l'installation il c'est réinstallé.

[caille@caille-n76vb ~]$ pacman -Qi pkgfile
Nom                      : pkgfile
Version                  : 21-2
Description              : a pacman .files metadata explorer
Architecture             : x86_64
URL                      : https://github.com/falconindy/pkgfile
Licences                 : MIT
Groupes                  : --
Fournit                  : --
Dépend de                : libarchive  curl  pcre  pacman
Dépendances opt.         : --
Requis par               : manjaro-zsh-config
Optionnel pour           : --
Est en conflit avec      : --
Remplace                 : --
Taille installée         : 53,63 KiB
Paqueteur                : Jelle van der Waa <jelle@vdwaa.nl>
Compilé le               : mer. 27 mai 2020 21:32:45
Installé le              : dim. 18 avril 2021 08:59:01
Motif d’installation     : Installé comme dépendance d’un autre paquet
Script d’installation    : Oui
Validé par               : Signature

[caille@caille-n76vb ~]$ 

[caille@caille-n76vb ~]$ pactree -r pkgfile
pkgfile
└─manjaro-zsh-config
[caille@caille-n76vb ~]$ 
C'est une installation toute neuve et récente sans ajout particulier.
Dernière modification par cailleil y a 4 semaines, modifié au total 1 fois.

[FAILED] failed to start pkgfile database update ?

#4Messageil y a 4 semaines

Que donne :
pactree -r pkgfile
mais tu as déjà une piste : manjaro-zsh-config, pas installé chez moi alors que zsh l'est.

[FAILED] failed to start pkgfile database update ?

#5Messageil y a 4 semaines

Denis-pom a écrit : il y a 4 semaines Que donne :
pactree -r pkgfile
mais tu as déjà une piste : manjaro-zsh-config, pas installé chez moi alors que zsh l'est.
Répondu au dessus. :merci:

[caille@caille-n76vb ~]$ pactree -r pkgfile
pkgfile
└─manjaro-zsh-config
[caille@caille-n76vb ~]$ 

[caille@caille-n76vb ~]$ pactree -r manjaro-zsh-config
manjaro-zsh-config
[caille@caille-n76vb ~]$ 

[FAILED] failed to start pkgfile database update ?

#6Messageil y a 4 semaines

suite...

[caille@caille-n76vb ~]$ pactree -r zsh
zsh
├─manjaro-zsh-config
├─zsh-autosuggestions
│ └─manjaro-zsh-config
├─zsh-completions
│ └─manjaro-zsh-config
├─zsh-history-substring-search
│ └─manjaro-zsh-config
├─zsh-syntax-highlighting
│ └─manjaro-zsh-config
└─zsh-theme-powerlevel10k
  └─manjaro-zsh-config
[caille@caille-n76vb ~]$ 

[FAILED] failed to start pkgfile database update ?

#7Messageil y a 4 semaines

D'après la réponse de Chrysostomus dans le lien que tu as donné, pkgfile sert à accélérer le temps de réponse à certaines commandes (en bash zsh). Pas sur que tu en aies besoin ... Tu peux alors désinstaller manjaro-zsh-config et pkgfile.
Chrysostomus - Manjaro team oct. '20

(its not default, I dont use it, pacman has similar functionality, etc)

It is used be manjaro-zsh-config for command not found hook. Pamac and pacman have similar functionality, but pkgfile has significantly better performance. You don’t want to have your terminal stuck for several seconds when you type in a nonexistent command. With pkgfile the results are practically instant. And for this it needs to update the files database from from time to time. The service does this in the background.

Sinon, il faut probablement lancer les services pkgfile s'ils ne sont pas actifs :

sudo systemctl status pkgfile-update.timer
sudo systemctl status pkgfile-update.service

sudo systemctl enable pkgfile-update.timer
sudo systemctl enable pkgfile-update.service

[FAILED] failed to start pkgfile database update ?

#8Messageil y a 4 semaines

Suite...

Je pense que si c'est installé, c'est que c'est utile à quelque chose, donc je garde.
J'ai exécuté le commande ci-dessus, je verrait bien à l'usage.

[caille@caille-n76vb ~]$ sudo systemctl status pkgfile-update.timer
[sudo] Mot de passe de caille : 
● pkgfile-update.timer - pkgfile database update timer
     Loaded: loaded (/usr/lib/systemd/system/pkgfile-update.timer; enabled; vendor preset: disabled)
     Active: active (waiting) since Sun 2021-04-18 09:15:03 CEST; 38min ago
    Trigger: Mon 2021-04-19 00:00:00 CEST; 14h left
   Triggers: ● pkgfile-update.service

avril 18 09:15:03 caille-n76vb systemd[1]: Started pkgfile database update timer.
[caille@caille-n76vb ~]$ sudo systemctl status pkgfile-update.service
● pkgfile-update.service - pkgfile database update
     Loaded: loaded (/usr/lib/systemd/system/pkgfile-update.service; static)
     Active: inactive (dead)
TriggeredBy: ● pkgfile-update.timer
[caille@caille-n76vb ~]$ sudo systemctl enable pkgfile-update.timer
[caille@caille-n76vb ~]$ sudo systemctl enable pkgfile-update.service
The unit files have no installation config (WantedBy=, RequiredBy=, Also=,
Alias= settings in the [Install] section, and DefaultInstance= for template
units). This means they are not meant to be enabled using systemctl.
 
Possible reasons for having this kind of units are:
• A unit may be statically enabled by being symlinked from another unit's
  .wants/ or .requires/ directory.
• A unit's purpose may be to act as a helper for some other unit which has
  a requirement dependency on it.
• A unit may be started when needed via activation (socket, path, timer,
  D-Bus, udev, scripted systemctl call, ...).
• In case of template units, the unit is meant to be enabled with some
  instance name specified.
[caille@caille-n76vb ~]$ 

[FAILED] failed to start pkgfile database update ?

#9Messageil y a 4 semaines

Salut,
caille a écrit : il y a 4 semaines Suite...

Je pense que si c'est installé, c'est que c'est utile à quelque chose, donc je garde.

pacman -Sii pkgfile|grep Requis                                              [1]
Requis par               : manjaro-zsh-config  octopi
En gros, c'est utile seulement si tu as besoin de zsh pré-configuré ou d'octopi, si ce n'est pas le cas, c'est une dizaine de paquets installés qui ne nuisent pas au fonctionnement, mais qui ne servent à rien.

[FAILED] failed to start pkgfile database update ?

#10Messageil y a 3 semaines

Smurf a écrit : il y a 4 semaines En gros, c'est utile seulement si tu as besoin de zsh pré-configuré ou d'octopi, si ce n'est pas le cas, c'est une dizaine de paquets installés qui ne nuisent pas au fonctionnement, mais qui ne servent à rien.
Bonjour Smurf,

Alors pour quelles raisons c'est disponible sur une nouvelle installation, c'est nouveau ?

Je n'ai ajouté à l'installation que:
- chromium (officiel)
- pychess (officiel)
- gimp (officiel)
- art-rawconverter (aur)
- stockfish (aur)

Alors je supprime ou je garde ?

C'est pourtant indiqué "Explicitement installé" ?

manjaro-zsh-config est en conflit avec : grml-zsh-config
Ce que je n'arrive pas à comprendre, c'est pourquoi c'est installé d'origine ?

A moins que ce soit cette commande qui aurait foutu le bordel, même si il y avait déjà un problème avant son exécution ?

sudo pkgfile --update -u
Dans ce cas comment revenir en arrière. :saispas:

[FAILED] failed to start pkgfile database update ?

#11Messageil y a 3 semaines

:salut:
manjaro-zsh-config est un plugin zsh ! Donc d'office avec gnome
Ce plugin va juste proposer un paquet manjaro si la commande demandée en console n'existe pas sur notre machine mais existe dans les dépôts manjaro.

Par exemple, je n'ai pas la commande gtop sur ma machine et sans ce plugin je n'ai pas la proposition d'installer le paquet et seulement l'erreur classique

gtop
zsh: correct 'gtop' to 'top' [nyae]? n
zsh: gtop: commande non trouvée

# mais je peux chercher cette commande manuellement sans ce plugin :
pacman -F gtop
community/gtop 1.1.0-1
    usr/bin/gtop
    usr/lib/node_modules/gtop/bin/gtop

[FAILED] failed to start pkgfile database update ?

#12Messageil y a 3 semaines

:salut: Bonsoir,

Chez moi elle ne m'indique rien, simplement commande introuvable. :saispas:

[caille@caille-n76vb ~]$ gtop
bash: gtop : commande introuvable
[caille@caille-n76vb ~]$ pacman -F gtop
community/gtop 1.1.0-1
    usr/bin/gtop
    usr/lib/node_modules/gtop/bin/gtop
[caille@caille-n76vb ~]$ 

[FAILED] failed to start pkgfile database update ?

#13Messageil y a 3 semaines

normal
papajoke a écrit : il y a 3 semainesmanjaro-zsh-config est un plugin zsh !
On peut voir dans ton erreur bash et non zsh :wink:

Il me semble que uniquement gnome arrive avec zsh (dans les officielles), si tu n'utilises pas zsh , aucune raison d'installer ce plugin.

[FAILED] failed to start pkgfile database update ?

#14Messageil y a 3 semaines

Ok, je crois avoir compris. :bien

Je suis sur KDE, mais ce n'est pas moi qui est installé ce plugin ?

[FAILED] failed to start pkgfile database update ?

#15Messageil y a 3 semaines

ok,
en effet maintenant il y a zsh dans kde :o
https://github.com/manjaro-plasma/download/releases

dans ...linux510-pkgs.txt

manjaro-zsh-config 0.20-3
zsh 5.8-1
zsh-autosuggestions 0.6.4-1
zsh-completions 0.32.0-1
zsh-history-substring-search 1.0.2-1
zsh-syntax-highlighting 0.7.1-1
zsh-theme-powerlevel10k 1.14.6-1
si bash reste le shell par défaut ... tout ceci n'a aucun intérêt :saispas:

[FAILED] failed to start pkgfile database update ?

#16Messageil y a 3 semaines

:bjr: Bonjour à tous,
Denis-pom a écrit : il y a 4 semaines Tu peux alors désinstaller manjaro-zsh-config et pkgfile.
J'ai désinstallé ces deux paquets depuis quelques jours sans aucun problème sur le PC.
Smurf a écrit : il y a 4 semaines En gros, c'est utile seulement si tu as besoin de zsh pré-configuré ou d'octopi, si ce n'est pas le cas, c'est une dizaine de paquets installés qui ne nuisent pas au fonctionnement, mais qui ne servent à rien.
Par contre je n'ai désinstallé que deux paquets, octopi n'est même pas installé ?
papajoke a écrit : il y a 3 semaines si bash reste le shell par défaut ... tout ceci n'a aucun intérêt :saispas:
Effectivement, je ne sais pas non plus. :saispas:
Existe-t-il une mini-iso Manjaro, pour tout choisir en ligne lors de l'installation comme Debian ?

Cordialement.
Répondre